.\" Man page generated from reStructuredText.
.
.TH CLUSH.CONF 5 "2021-11-03" "1.8.4" "ClusterShell User Manual"
.SH NAME
clush.conf \- Configuration file for clush
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.SH DESCRIPTION
.sp
\fBclush\fP(1) obtains configuration options from the following sources in the
following order:
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.IP 1. 3
command\-line options
.IP 2. 3
user configuration file (\fI$XDG_CONFIG_HOME/clustershell/clush.conf\fP)
.IP 3. 3
local pip user installation (\fI$HOME/.local/etc/clustershell/clush.conf\fP)
.IP 4. 3
system\-wide configuration file (\fI/etc/clustershell/clush.conf\fP)
.UNINDENT
.UNINDENT
.UNINDENT
.sp
For each parameter, the first obtained value will be used.
.sp
The configuration file has a format in the style of RFC 822 composed
of one main section:
.INDENT 0.0
.TP
.B Main
Program options definition
.UNINDENT
.SS [Main]
.sp
Configuration parameters of the \fBMain\fP section are described below.
.INDENT 0.0
.TP
.B fanout
Size of the sliding window (fanout) of active commands for \fBclush\fP\&. This
\fIfanout\fP is used to avoid too many concurrent connections and to conserve
resources on the initiating hosts. In tree mode, the same \fIfanout\fP value is
used on the head node and on each gateway (the \fIfanout\fP value is propagated).
That is, if the \fIfanout\fP is \fB16\fP on the head node, each gateway will
initate up to \fB16\fP connections to their target nodes at the same time.
.TP
.B connect_timeout
Timeout in seconds to allow a connection to establish. This parameter is
passed to ssh. If set to \fI0\fP, no timeout occurs.
.TP
.B command_timeout
Timeout in seconds to allow a command to complete since the connection has
been established. This parameter is passed to ssh.  In addition, the
ClusterShell library ensures that any commands complete in less than
( connect_timeout + command_timeout ). If set to \fI0\fP, no timeout occurs.
.TP
.B color
\fBclush\fP can use NO_COLOR, CLICOLOR and CLICOLOR_FORCE
environment variables. NO_COLOR takes precedence over CLICOLOR_FORCE which
takes precedence over CLICOLOR. When the option is set in configuration file
environment variables are taken into account only with \fIauto\fP argument.
\fBcolor\fP tells  whether to use ANSI colors to surround node or nodeset
prefix/header with escape sequences to display them in color on the terminal.
Valid arguments are \fBnever\fP, \fBalways\fP or \fBauto\fP (which use color if
standard output/error refer to a terminal). Colors are set to [34m (blue
foreground text) for stdout and [31m (red foreground text) for stderr, and
cannot be modified.
.TP
.B fd_max
Maximum number of open file descriptors permitted per clush process (soft
resource limit for open files). This limit can never exceed the system
(hard) limit. The \fIfd_max\fP (soft) and system (hard) limits should be high
enough to run \fBclush\fP, although their values depend on your \fIfanout\fP value.
.TP
.B history_size
Set the maximum number of history entries saved in the GNU readline history
list. Negative values imply unlimited history file size.
.TP
.B node_count
Should \fBclush\fP display additional (node count) information in buffer
header? (\fIyes\fP/\fIno\fP)
.TP
.B maxrc
Should \fBclush\fP return the largest of command return codes? (yes/no)
.TP
.B verbosity
Set the verbosity level: \fI0\fP (quiet), \fI1\fP (default), \fI2\fP (verbose) or more
(debug).
.TP
.B ssh_user
Set the ssh user to use for remote connection (default is to not specify).
.TP
.B ssh_path
Set the ssh binary path to use for remote connection (default is \fIssh\fP).
.TP
.B ssh_options
Set additional options to pass to the underlying ssh command.
.TP
.B scp_path
Set the scp binary path to use for remote copy (default is \fIscp\fP).
.TP
.B scp_options
Set additional options to pass to the underlying scp command. If not
specified, ssh_options are used instead.
.TP
.B rsh_path
Set the rsh binary path to use for remote connection (default is
\fIrsh\fP). You could easily use mrsh or krsh by simply changing this value.
.TP
.B rcp_path
Same a rsh_path for rcp command. (Default is \fIrcp\fP)
.TP
.B rsh_options
Set additional options to pass to the underlying rsh/rcp command.
.UNINDENT
.SH EXAMPLES
.sp
Simple configuration file.
.SS \fIclush.conf\fP
.nf
[Main]
fanout: 128
connect_timeout: 15
command_timeout: 0
history_size: 100
color: auto
fd_max: 10240
maxrc: no
node_count: yes

.fi
.sp
.SH FILES
.INDENT 0.0
.TP
.B \fI/etc/clustershell/clush.conf\fP
System\-wide clush configuration file.
.TP
.B \fI$XDG_CONFIG_HOME/clustershell/clush.conf\fP
User configuration file for clush. If $XDG_CONFIG_HOME is not defined,
\fI$HOME/.config/clustershell/clush.conf\fP is used instead.
.TP
.B \fI$HOME/.local/etc/clustershell/clush.conf\fP
Local user configuration file for clush (default installation for pip \-\-user)
.TP
.B \fI~/.clush.conf\fP
Deprecated per\-user clush configuration file.
.UNINDENT
.SH HISTORY
.sp
As of ClusterShell version 1.3, the \fBExternal\fP section has been removed
from \fIclush.conf\fP\&.  External commands whose outputs were used by \fBclush\fP
(\-a, \-g, \-X) are now handled by the library itself and defined in
\fBgroups.conf\fP(5).
.SH SEE ALSO
.sp
\fBclush\fP(1), \fBgroups.conf\fP(5).
.sp
\fI\%http://clustershell.readthedocs.org/\fP
.SH AUTHOR
Stephane Thiell, <sthiell@stanford.edu>
.SH COPYRIGHT
GNU Lesser General Public License version 2.1 or later (LGPLv2.1+)
.\" Generated by docutils manpage writer.
.
